Summary:   OpenSSL - Secure Sockets Layer and cryptography shared libraries and tools
Name:      openssl
Version:   0.9.5
Release:   1
URL:       http://www.openssl.org/
Source:    http://www.openssl.org/source/%{name}-%{version}.tar.gz
Copyright: Freely distributable
Group:     System Environment/Libraries
Provides:  SSL
Conflicts: SSLeay
BuildRoot: /tmp/%{name}-%{version}-root

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide. The project is
managed by a worldwide community of volunteers that use the Internet to
communicate, plan, and develop the OpenSSL tookit and its related
documentation.

OpenSSL is based on the excellent SSLeay library developed from Eric A.
Young and Tim J. Hudson.  The OpenSSL toolkit is licensed under an
Apache-style licence, which basically means that you are free to get and
use it for commercial and non-commercial purposes.

This package contains the base OpenSSL cryptography and SSL/TLS
libraries and tools.

%package devel
Summary:  OpenSSL - Secure Sockets Layer and cryptography static libraries and headers
Group:    Development/Libraries
Requires: %{name} = %{version}

%description devel
This package contains the the OpenSSL cryptography and SSL/TLS
static libraries and header files required when developing applications.

%prep

%setup -q
perl util/perlpath.pl /usr/bin

%build
./Configure --prefix=/usr --openssldir=/var/ssl linux-elf
make linux-shared
LD_LIBRARY_PATH=`pwd` make
LD_LIBRARY_PATH=`pwd` make rehash

%install
rm -rf $RPM_BUILD_ROOT

make INSTALL_PREFIX=$RPM_BUILD_ROOT install

# For people inside the USA, remove the remark
#install -m644 rsaref/rsaref.h $RPM_BUILD_ROOT/usr/include/openssl
#install -m644 libRSAglue.a $RPM_BUILD_ROOT/usr/lib

cp -fd lib*.so* $RPM_BUILD_ROOT/usr/lib

ln -sf openssl $RPM_BUILD_ROOT/usr/bin/ssleay

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*.*} || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CHANGES.SSLeay INSTALL LICENSE NEWS README doc
/usr/bin/*
/usr/lib/lib*.so.*.*.*
%attr(-,root,man) /var/ssl/man/man1/*
%attr(-,root,man) /var/ssl/man/man5/*
%dir /var/ssl
/var/ssl/certs
%config /var/ssl/openssl.cnf
/var/ssl/misc
/var/ssl/private

%files devel
%defattr(-,root,root)
%doc demos
/usr/include/openssl
/usr/lib/lib*.a
/usr/lib/lib*.so
%attr(-,root,man) /var/ssl/man/man3/*
%attr(-,root,man) /var/ssl/man/man7/*

%changelog
* Tue Feb 29 2000 Arne Coucheron <arneco@online.no>
  [0.9.5-1]
- added man pages

* Sun Nov 28 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-3]
- config file moved to /var/ssl due to problems when it stays in /etc

* Tue Aug 17 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-2]
- the source rpm was corrupt, so this is just a rerelase

* Wed Aug 11 1999 Arne Coucheron <arneco@online.no>
  [0.9.4-1]

* Sun Jun 20 1999 Arne Coucheron <arneco@online.no>
  [0.9.3a-1]
- several changes